#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Unicodedata backport/updates to Python 3.x
Summary(pl.UTF-8):	Uaktualnienia danych Unicode dla Pythona 3.x
Name:		python3-unicodedata2
Version:	15.0.0
Release:	3
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/unicodedata2/
Source0:	https://files.pythonhosted.org/packages/source/u/unicodedata2/unicodedata2-%{version}.tar.gz
# Source0-md5:	1a29cc9f482f6724b8674a7836834789
URL:		https://pypi.org/project/unicodedata2/
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-libs >= 1:3.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicodedata backport/updates to Python 3.x.

%description -l pl.UTF-8
Uaktualnienia danych Unicode dla Pythona 3.x.

%prep
%setup -q -n unicodedata2-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} tests/test_unicodedata2.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%attr(755,root,root) %{py3_sitedir}/unicodedata2.cpython-*.so
%{py3_sitedir}/unicodedata2-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-unicodedata2.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 4c50a96
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 2811b87
- python 3.13 rebuild

* Thu Jan 05 2023 Jakub Bogusz <qboosh@pld-linux.org> a3ceeb5
- updated to 15.0.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 42c3ed2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> ef4ff14
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4e4e348
- rebuild with python 3.10

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 2d3fe4f
- python-unicodedata2.spec updated to 14.0.0 for python 3.6+

* Sat Dec 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 4463821
- updated to 13.0.0.post2, added tests

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> be70f5f
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 9789986
- release 2 (by relup.sh)

* Sat Dec 14 2019 Marcin Krol <hawk@tld-linux.org> 46bd92e
- updated to 12.1.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 58ffddb
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Oct 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 3dd049f
- updated to 12.0.0

* Sat Dec 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 9b55e7d
- updated to 11.0.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 84d670f
- release 2 (by relup.sh)

* Sat Mar 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 563f246
- new

